package cn.wisenergy.service;

import cn.wisenergy.model.app.WorkTypeManager;

import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
public interface WorkTypeManagerService {

    /**
     * 功能：根据审核人id获取
     * @param userId
     * @return
     */
    List<WorkTypeManager> getByManagerId(Integer userId);

    /**
     * 功能：根据部门id获取
     * @param deptId
     * @return
     */
    List<WorkTypeManager> getByDeptId(Integer deptId);

    /**
     * 功能： 根据类型获取
     * @param type
     * @return
     */
    List<WorkTypeManager> getByType(Integer type);

    /**
     * 功能：查看有哪些其他Type
     * @return
     */
    List<WorkTypeManager> getType();


}
